﻿using System;
using System.Runtime.InteropServices;

namespace JPing
{
    /// <summary>
    /// P/Invoke.
    /// </summary>
    internal static class NativeMethods
    {
        /// <summary>
        /// Definition of Windows Message.
        /// </summary>
        internal enum WindowsMessage : uint
        {
            /// <summary>
            /// Left mouse button down in non-content zone.
            /// </summary>
            NCLButtonDown = 0xA1,
            /// <summary>
            /// System command.
            /// </summary>
            SysCommand = 0x112
        }

        /// <summary>
        /// Send a system message and wait for result.
        /// </summary>
        /// <param name="window">Window handle</param>
        /// <param name="message">Message</param>
        /// <param name="w">W-Parameter</param>
        /// <param name="l">L-Parameter</param>
        /// <returns>L-Result</returns>
        [DllImport("user32", CharSet = CharSet.Auto)]
        internal static extern IntPtr SendMessage(IntPtr window, WindowsMessage message, IntPtr w, IntPtr l);

        /// <summary>
        /// Release the mouse capture.
        /// </summary>
        /// <returns>Successful</returns>
        [DllImport("user32")]
        internal static extern bool ReleaseCapture();
    }
}
